> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prismgateway.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create embeddings



## OpenAPI

````yaml /api/openapi.json post /v1/embeddings
openapi: 3.1.0
info:
  title: Prism API
  version: 1.0.0
  description: >-
    OpenAI-compatible chat, embeddings, image, and asynchronous video APIs with
    Prism billing and policy controls.
servers:
  - url: https://api.prismgateway.io
    description: Production
security: []
paths:
  /v1/embeddings:
    post:
      tags:
        - Embeddings
      summary: Create embeddings
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - input
              properties:
                model:
                  minLength: 1
                  maxLength: 256
                  type: string
                input:
                  anyOf:
                    - minLength: 1
                      type: string
                    - minItems: 1
                      type: array
                      items:
                        minLength: 1
                        type: string
                encoding_format:
                  type: string
                  enum:
                    - float
                    - base64
                dimensions:
                  minimum: 1
                  anyOf:
                    - format: integer
                      default: 0
                      type: string
                    - type: integer
                      minimum: 1
                user:
                  type: string
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - model
                - input
              properties:
                model:
                  minLength: 1
                  maxLength: 256
                  type: string
                input:
                  anyOf:
                    - minLength: 1
                      type: string
                    - minItems: 1
                      type: array
                      items:
                        minLength: 1
                        type: string
                encoding_format:
                  type: string
                  enum:
                    - float
                    - base64
                dimensions:
                  minimum: 1
                  anyOf:
                    - format: integer
                      default: 0
                      type: string
                    - type: integer
                      minimum: 1
                user:
                  type: string
          multipart/form-data:
            schema:
              type: object
              required:
                - model
                - input
              properties:
                model:
                  minLength: 1
                  maxLength: 256
                  type: string
                input:
                  anyOf:
                    - minLength: 1
                      type: string
                    - minItems: 1
                      type: array
                      items:
                        minLength: 1
                        type: string
                encoding_format:
                  type: string
                  enum:
                    - float
                    - base64
                dimensions:
                  minimum: 1
                  anyOf:
                    - format: integer
                      default: 0
                      type: string
                    - type: integer
                      minimum: 1
                user:
                  type: string
      responses:
        '200':
          description: OpenAI-compatible embedding list.
          content:
            application/json:
              schema:
                type: object
                required:
                  - object
                  - data
                  - model
                properties:
                  object:
                    type: string
                    const: list
                  model:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - object
                        - embedding
                        - index
                      properties:
                        object:
                          type: string
                          const: embedding
                        embedding:
                          type: array
                          items:
                            type: number
                        index:
                          type: integer
                          minimum: 0
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '401':
          description: Missing, malformed, unknown, or revoked API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '402':
          description: Credits, reservation, or organization budget prevents admission.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '403':
          description: Trial, key, model, or organization policy denied the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '404':
          description: The requested model was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '413':
          description: Request body exceeds the configured size limit.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '429':
          description: Rate limit exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '500':
          description: Prism or an upstream provider could not complete the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '502':
          description: An upstream provider returned an invalid or failed response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        '503':
          description: The selected model or runtime is temporarily unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
        default:
          description: The request could not be completed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrismErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PrismErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            type:
              type: string
            code:
              type: string
            message:
              type: string
            action:
              type: string
              enum:
                - top_up
                - contact_org_admin
            help_url:
              type: string
              format: uri
            allowed_models:
              type: array
              items:
                type: string
          additionalProperties: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Prism API key
      description: Prism API key beginning with sk-prism-

````